/*
 * Definitions etc. for regexp(3) routines.
 *
 * Caveat:  this is V8 regexp(3) [actually, a reimplementation thereof],
 * not the System V one.
 */
#define NSUBEXP  10
typedef struct regexp {
	char *startp[NSUBEXP];
	char *endp[NSUBEXP];
	char regstart;		/* Internal use only. */
	char reganch;		/* Internal use only. */
	char *regmust;		/* Internal use only. */
	int regmlen;		/* Internal use only. */
#ifndef STANDART_REGEXP
	int regpsize;		/* Internal use only. */
#endif
	char program[1];	/* Unwarranted chumminess with compiler. */
} regexp;

extern regexp *regcomp(const char *);
extern int regexec(const regexp *,const char *);
extern void regsub(const regexp *,const char *,char *);
extern void regerror(const char *);

#ifndef STANDART_REGEXP
extern regexp *regdup(const regexp *);
#endif
